# ValidationSummary

Adds support for \[System.Web.UI.WebControls.ValidationSummary] [<mark style="color:orange;">https://docs.microsoft.com/en-us/dotnet/api/system.web.ui.webcontrols.validationsummary?view=netframework-4.8</mark>](https://docs.microsoft.com/en-us/dotnet/api/system.web.ui.webcontrols.validationsummary?view=netframework-4.8)

Shows in the page, messagebox or both summary of all validations errors generated by other validators .

### **Implementation Details:**

**Component Selector:** ‘wm-validation-summary’

**Kendo UI Component:** <mark style="color:orange;">N/A</mark>

## **Class inheritance**

ValidationSummaryComponent extends [<mark style="color:orange;">BaseValidatorComponent</mark>](/webmap/general/frontend/documentation/webforms-angular-components/web-components/base-components/basevalidator-component.md)

## **PME Support**

### **Properties**

| **Property**                                           | **Get/Set** | **Details**                                                                                                                      |
| ------------------------------------------------------ | ----------- | -------------------------------------------------------------------------------------------------------------------------------- |
| ControlToValidate: string                              | Yes         | ID of control to validate                                                                                                        |
| HeaderText:string                                      | Yes         | Text showed in the begging of the summary                                                                                        |
| ShowMessageBox:boolean                                 | Yes         | Establishes if summary errors are showed in message box                                                                          |
| <p>DisplayMode:</p><p>ValidationSummaryDisplayMode</p> | Yes         | Establishes the way list of messages will show in the page                                                                       |
| ErrorMessages:string                                   | Yes         | Stores all errors associated to validators which did not pass validations.                                                       |
| ValidationGroup:string                                 | Yes         | If is established the name of the validationgroup component only will validate controls with the same validationgroup associated |
| Hidden:boolean                                         | Yes         | Establishes if the validator shows or is hides                                                                                   |

&#x20;

### **Methods**

| **Methods**         | **Details**                                                                                       |
| ------------------- | ------------------------------------------------------------------------------------------------- |
| updateErrorMessages | Updates array with all messages from validators                                                   |
| formatErrorMessages | Join all validators messages of validators which did not pass validations with a given separator. |
| displayMessage      | Shows value of text property or ErrorMessage property in case text property is empty              |

&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/webforms-angular-components/web-components/kendoui-components/validationsummary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
